API Reference
Members
Refuses to demote the last admin.
Authorization
apiKey AuthorizationBearer <token>
Workspace scoped API key, printed once by pnpm seed or POST /api-keys.
In: header
Path Parameters
userId*string
User id
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/members/string" \ -H "Content-Type: application/json" \ -d '{ "role": "admin" }'{ "ok": true}Cuts off team access, API keys, and any session pointing at this workspace for that user.
Authorization
apiKey AuthorizationBearer <token>
Workspace scoped API key, printed once by pnpm seed or POST /api-keys.
In: header
Path Parameters
userId*string
User id
Response Body
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/members/string"{ "ok": true}Authorization
apiKey AuthorizationBearer <token>
Workspace scoped API key, printed once by pnpm seed or POST /api-keys.
In: header
Response Body
application/json
application/json
curl -X GET "https://example.com/users"{ "users": [ { "id": "string", "name": "string", "email": "user@example.com", "role": "admin", "isMe": true } ]}